@extends('template.'.config('settings.template').'.content.master')
@section('content')


    <div class="container">

        <div class="row">


            <div class="col-12">
                <h1 class="mb-5">{{$content->title}}</h1>

            </div>



            <div class="col-12 col-md-9">

                <div class="row">

                </div>


                @if ($content->image)
                    <img class="rounded-top img-fluid" src="{{ asset('uploads/' . $content->image) }}" loading="lazy" >
                @else
                    <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy" width="100%">
                @endif

                <br>
                <br>
                <br>


                <a href="{{ route('author.get', [$content->user->slug]) }}" class="text-decoration-none mt-2">
                    <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                    {{ $content->user->name }}
                </a>
                <p class="fs-5 mt-5">

                    {!! isset($content->data_fields['short_description'])?$content->data_fields['short_description']:'keine Angaben' !!}
                </p>


                @isset($content->data_fields['extensive_description'])
                   <h2 class="fs-4 mt-5">Features</h2>

                        <p class="fs-5">
                        {{$content->data_fields['extensive_description']}}
                        </p>
                @endisset


                    <div class="d-none">
                        <h2 class="fs-4 mt-5">Screenshots</h2>

                        <div class="row">
                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>
                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>
                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>

                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>

                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>

                        </div>
                    </div>




            </div>

            <div class="col-12 col-md-3">

                <div class="bg-ci rounded p-3 border-ci">

                    <!--
                    Lumino Version: <a href="">3.2</a>
                    <br>
                    Lisence: <a href="">2.93</a>
                    <br>
                    Latest Version: <a href="">2.93</a>
                    <br>
                    Price: <i>free</i>-->

                    <a  class="btn btn-primary d-block mt-4" data-bs-toggle="modal" data-bs-target="#exampleModal">Install Theme</a>
                </div>


            </div>

            <div class="col-12">
                <br>
                <br>
                <br>
                <br>
                <br>
                <hr>

                <br>
                <br>
                <br>
                <h2>Other Themes</h2>
                <br>
                <br>
                <br>


            </div>

            <div class="row">
                @foreach($contents as $indexContent => $content)
                    <div class="col-12 col-md-6 col-lg-4 mb-5">
                        <a href="{{ route_content($content) }}" class="text-decoration-none text-dark">
                            <div class="card shadow-lg">

                                @if ($content->image)
                                    <img class="rounded-top img-fluid" src="{{ asset('uploads/' . $content->image) }}" loading="lazy">
                                @else
                                    <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">
                                @endif

                                <div class="card-body">
                                    <h2 class="fs-5">{{$content->title}}</h2>
                                    <a href="{{ route('author.get', [$content->user->slug]) }}" class="text-decoration-none">
                                        <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                                        {{ $content->user->name }}
                                    </a>
                                    <p>
                                        <br>
                                        Public Showcase of Lumino Themes. You can browse, compare the templates and install them into your own Lumino Installation.</p>


                                </div>

                            </div>

                        </a>


                    </div>

                @endforeach
            </div>




        </div>
    </div>





    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Install Theme</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <br>


                    @isset($content->data_fields['git_location'])
                        <div class="input-group input-group-lg">
                            <input type="text" id="inputPassword5" class="form-control border-ci rounded" aria-describedby="passwordHelpBlock" readonly value="{{$content->data_fields['git_location']}}">
                            <div id="passwordHelpBlock" class="form-text">
                                <br>
                                Use this link to install the chosen theme into your own Lumino installation. Make sure the Theme is compatible with your Lumino Version.
                            </div>
                        </div>
                    @endisset






                    <br>
                    <br>
                    <br>
                    <h5>Instructions</h5>

                    <br>




                </div>

            </div>
        </div>
    </div>

@stop



