@extends('template.'.config('settings.template').'.content.master')
@section('content')


    <div class="container">

        <section class="rounded">
            <div class="row">
                <div class="col">
                    <h1>Lumio Theme Store</h1>

                    <p class="fs-4">
                        A showcase of public Lumino Themes.
                        <br>
                        You can browse, compare the templates and install them into your own Lumino Installation. To develop and list your own Lumino Template <a href="https://www.areya.de/contact" class="text-decoration-none"> get in contact</a>
                    </p>

                </div>
            </div>
        </section>



        <div class="row">
            @foreach($contents as $indexContent => $content)
                <div class="col-12 col-md-6 col-4 mb-5">
                    <a href="{{ route_content($content) }}" class="text-decoration-none text-dark">
                        <div class="card shadow-lg">

                            @if ($content->image)
                                <img class="rounded-top img-fluid" src="{{ asset('uploads/' . $content->image) }}" loading="lazy">
                            @else
                                <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">
                            @endif

                            <div class="card-body">
                                <h2 class="fs-5">{{$content->title}}</h2>
                                <a href="{{ route('author.get', [$content->user->slug]) }}" class="text-decoration-none">
                                    <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                                    {{ $content->user->name }}
                                </a>
                                <p>
                                    <br>
                                    Public Showcase of Lumino Themes. You can browse, compare the templates and install them into your own Lumino Installation.</p>


                            </div>

                        </div>

                    </a>


                </div>

            @endforeach
        </div>
    </div>

@stop



